System Requirements

All you need is an up-to-date web browser, regardless of your operating system. Wisdom of Learning supports Internet Explorer 8+, FireFox 3.5+, Chrome 21 and Safari 5.1+. You should ensure that your browser has cookies and JavaScript enabled, as well as set your popup blocker to allow popups for full functionality of the website.

To view the videos/audios, you will either need the latest version of Adobe Flash or a fully HTML5-compliant browser.

To open some of the worksheets you may need a PDF reader, such as Adobe Acrobat.


Buy Now